
from wtforms import Form, StringField, validators

def validate_username(username):
    if not username.data:
        raise validators.ValidationError('Username cannot be empty')
    if len(username.data) < 4:
        raise validators.ValidationError('Username must be at least 4 characters long')
    if not username.data.isalnum():
        raise validators.ValidationError('Username must contain only letters and numbers')

def create_registration_form():
    class RegistrationForm(Form):
        username = StringField('Username', [validate_username])
    return RegistrationForm()



